import 'package:json_annotation/json_annotation.dart';

import '../../bean/talks.dart';
import '../../bean/template_bean.dart';

part 'talk_info_response.g.dart';

@JsonSerializable()
class TalkInfoResponse {
  @JsonKey(name: 'talkInfo')
  TalkBean? talkInfo;

  @JsonKey(name: 'templates')
  List<TemplateBean>? templateList;

  TalkInfoResponse({this.talkInfo, this.templateList});

  factory TalkInfoResponse.fromJson(Map<String, dynamic> json) =>
      _$TalkInfoResponseFromJson(json);
}
